### Method

# Vte Terminal get_termprop_data_by_id

since: 0.78

#### Declaration [src]

    const uint8_t*
    vte_terminal_get_termprop_data_by_id (
      VteTerminal* terminal,
      int prop,
      size_t* size
    )

#### Description [src]

Like `vte_terminal_get_termprop_data()` except that it takes the termprop by ID. See that function for more information.

Available since: 0.78

#### Parameters

`prop`

  Type: `int`

  A termprop ID.

`size`

  Type: `size_t*`

  A location to store the size of the data.

  The argument will be set by the function.

#### Return value

Type: An array of `guint8`

The property’s value, or `NULL`.

The length of the array is in the `size` argument.
The returned data is owned by the instance.
The return value can be `NULL`.